MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028195Community[OCCT] OCCT:Modeling Algorithmspublic2016-12-06 16:312017-09-29 16:29
ReporterMarkus 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028195: Boolean common returns empty result for a solid where some surfaces of revolution touch the axis
DescriptionFor the appended case solidsKO.brep the Boolean common returns an empty result.

If the shape is slightly changed by adding another face, the Boolean common returns a valid result. See solidsOK.brep.

The shapes are valid according to checkshape and bopcheck. bopargcheck complains about invalid curves on surface, but this is the same for solidsOK.brep and solidsKO.brep. So, probably it is not the reason for the problem.
Steps To Reproducepload ALL
brunparallel 1

restore solidsOK.brep s
whatis s
explode s
checkshape s
bopcheck s_1
bopcheck s_2
bopargcheck s_1 s_2 -O #F
bop s_1 s_2
bopcommon r
whatis r
explode r
checkshape r_1
# => result is valid

restore solidsKO.brep s
whatis s
explode s
checkshape s
bopcheck s_1
bopcheck s_2
bopargcheck s_1 s_2 -O #F
bop s_1 s_2
bopcommon r
whatis r
explode r
# => result is empty
TagsNo tags attached.
Test case numberbugs modalg_7 bug28195_1, bug28195_2
Attached Fileszip file icon BooleanCommonProblem.zip (648,805 bytes) 2016-12-06 16:31
png file icon face added to form solidsOK.png (174,831 bytes) 2016-12-06 16:31

- Relationships

-  Notes
(0069853)
mkv (tester)
2017-08-24 17:27

Not reproduced on the current master. Fixed in OCCT7.2.0
(0069855)
git (administrator)
2017-08-24 19:12

Branch CR28195 has been created by mkv.

SHA-1: 4ef3a9e467630cb667863816911b616207b0595d


Detailed log of new commits:

Author: mkv
Date: Thu Aug 24 19:12:37 2017 +0300

    0028195: Boolean common returns empty result for a solid where some surfaces of revolution touch the axis
(0069856)
mkv (tester)
2017-08-24 19:15

Dear BugMaster,
Test cases bugs modalg_7 bug229195_1, bug229195_2 are OK on current master.
(0069857)
mkv (tester)
2017-08-24 19:15

Dear BugMaster,
Branch CR228195 from occt git-repository is TESTED.
(0069872)
git (administrator)
2017-08-25 13:35

Branch CR28195 has been updated forcibly by mkv.

SHA-1: 74a22571be73ff5b211bf979c03ae92b933d6548
(0070181)
git (administrator)
2017-09-04 18:20

Branch CR28195 has been deleted by kgv.

SHA-1: 74a22571be73ff5b211bf979c03ae92b933d6548

- Related Changesets
occt: master 3dffe5f2
Timestamp: 2017-08-25 10:35:15
Author: mkv
Committer: bugmaster
Details ] Diff ]
0028195: Boolean common returns empty result for a solid where some surfaces of revolution touch the axis

Problem is not reproduced on current master. Issue must be closed on 7.2.0.
Test case was added only
add - tests/bugs/modalg_7/bug28195_1 Diff ] File ]
add - tests/bugs/modalg_7/bug28195_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-06 16:31 Timo New Issue
2016-12-06 16:31 Timo Assigned To => msv
2016-12-06 16:31 Timo File Added: BooleanCommonProblem.zip
2016-12-06 16:31 Timo File Added: face added to form solidsOK.png
2016-12-06 16:32 Timo Summary Boolean common returns empty result if a spline starts and ends at axis => Boolean common returns empty result if a surface of revolution starts and ends at axis
2016-12-07 12:11 Timo Summary Boolean common returns empty result if a surface of revolution starts and ends at axis => Boolean common returns empty result for a solid where some surfaces of revolution touch the axis
2016-12-07 12:11 Timo Description Updated View Revisions
2017-05-31 15:37 Timo Reporter Timo => Markus
2017-07-21 11:16 msv Target Version 7.2.0 => 7.3.0
2017-08-24 17:27 mkv Test case number => bugs modalg_7 bug28195_1, bug28195_2
2017-08-24 17:27 mkv Note Added: 0069853
2017-08-24 17:27 mkv Assigned To msv => bugmaster
2017-08-24 17:27 mkv Status new => feedback
2017-08-24 17:27 mkv Status feedback => tested
2017-08-24 19:12 git Note Added: 0069855
2017-08-24 19:15 mkv Note Added: 0069856
2017-08-24 19:15 mkv Note Added: 0069857
2017-08-25 13:35 git Note Added: 0069872
2017-08-29 18:44 abv Target Version 7.3.0 => 7.2.0
2017-08-31 18:37 bugmaster Changeset attached => occt master 3dffe5f2
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070181
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker